Subject: Re: [bitcoin-dev] "A Transaction Fee Market Exists Without a Block Size Limit"--new research paper suggests

From: Adam Back <[email-masked]>
Date: Wed, 5 Aug 2015 13:07:35 +0200

On 5 August 2015 at 12:51, Hector Chu <[email-masked]> wrote:
> The market I am thinking of would be open to all, not just miners. But
> miners would probably be best placed to profit from such a market, as it is
> their business to know about the revenue/costs tradeoff.

This prediction market in block-size seems like something extremely
complex to operate and keep secure in a decentralised fashion.  There
are several experimental projects right now trying to figure out how
to do this securely, using blockchain ideas, but it is early days for
those projects.

We also have no particular reason to suppose other than
meta-incentive, that it should result in a secure parameter set.

I suspect that, while it is interesting in the abstract, it risks
converting a complex security problem into an even more complex one,
rather than constituting an incremental security improvement which is
more the context of day to day discussions here.

Adam